/**
 * @name 小程序环境
 * @description 多环境配置
 */
const envName = 'production';
const envs = [{
    envName: 'production',
    appID: 'wx736395182f05a1b7',
    appName: '介休网格通',
    version: '1.0.0',
    baseUrl: 'https://jxwgtjm.xuqidata.com:8088',
    fileUrl: 'https://jiexiu.xuqidata.com:8083/jiexiujumin',
    loginPath: '/admin-api/system/auth/wechat/app/login',
    aMapKey: '29103dae675e5788eb011fb77ade8e3f',
    pubkey: 'Si9veMEER0LGTcLL6xwRWxUB7UCF7jjb00548e0ddc1501de0f'
  },
  {
    envName: 'development',
    appID: 'wxcee598c3eb71e48d',
    appName: '智慧旭奇',
    version: '1.0.0',
    baseUrl: 'http://47.92.245.35:5002',
    // 接口前缀
    fileUrl: 'http://47.92.245.35:5009/xq-ssg',
    // 图片服务器
    loginPath: '/admin-api/system/auth/wechat/app/login',
    // 登陆接口
    aMapKey: '6e488a3ed079adbb01de2ecb88ca5905',
    // 高德地图key
    pubkey: 'O9eM4Cv5bpi30mgUw9GEkf19KVE8KE8D00a46a6e50bb9465b2' // 吾来对话机器人平台key
  }
];

const isFind = envs.find((item) => item.envName === envName);
export default isFind;